PETSc version 3.17.4
Fix/Edit manual page

# SNESSetLagPreconditionerPersists

Set whether or not the preconditioner lagging persists through multiple nonlinear solves

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetLagPreconditionerPersists(SNES snes,PetscBool flg)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| flg | - preconditioner lagging persists if true

### Options Database Keys

| -snes_lag_jacobian_persists <true,false> | - sets the persistence
| -snes_lag_jacobian < | - 2,1,2,...> - sets the lag
| -snes_lag_preconditioner_persists <true,false> | - sets the persistence
| -snes_lag_preconditioner < | - 2,1,2,...> - sets the lag

### Notes

This is useful both for nonlinear preconditioning, where it's appropriate to have the preconditioner be stale by several solves, and for implicit time-stepping, where preconditioner lagging in the inner nonlinear solve over several timesteps may present huge efficiency gains.

### See Also

SNESSetLagJacobianPersists(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetNPC(), SNESSetLagPreconditioner()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages